models:
  Member:
    first_name: string
    last_name: string
    email: string
    password: string nullable
    status: integer default:1

  Page:
    title: string
    slug: string
    status: integer default:1
    relationships:
      hasMany: Block

  Block:
    name: string
    title: string nullable
    header: string nullable
    content: text nullable
    background_image: string nullable
    feature_image: string nullable
    add_grid: boolean default:0
    button_text: string nullable
    button_action: string nullable
    order_column: integer
    page_id: integer unsigned
    type: enum:title,hero,image,card,contact,one_column,two_column,staff,careers, partners, two_card
    relationships:
      belongsTo: Page

  Partner:
    name: string
    url: string nullable
    logo_image: string nullable
    status: integer default:1

  Career:
    title: string
    location: string nullable
    description: text nullable
    url: string nullable
    status: integer default:1

  Staff:
    name: string
    title: string nullable
    bio: text nullable
    profile_image: string nullable
    status: integer default:1
